Page MenuHomeFreeBSD

Documenting fetchReqHTTP in libfetch manual
ClosedPublic

Authored by farhan_farhan.codes on Jan 9 2019, 7:44 AM.
Tags
None
Referenced Files
Unknown Object (File)
Sun, May 26, 11:51 PM
Unknown Object (File)
Sun, May 19, 4:27 AM
Unknown Object (File)
May 6 2024, 5:32 PM
Unknown Object (File)
May 6 2024, 5:45 AM
Unknown Object (File)
May 1 2024, 10:44 PM
Unknown Object (File)
Apr 25 2024, 3:01 PM
Unknown Object (File)
Apr 25 2024, 1:31 PM
Unknown Object (File)
Apr 25 2024, 1:30 PM
Subscribers

Details

Summary

Adding documenting for the fetchReqHTTP function in fetch(3)/libfetch.
Also added:
A comment to lib/libfetch/http.c to be consistent with other functions.
Manual page symlink for fetchReqHTTP in Makefile

Test Plan

Review the man page for fetch(3) to ensure that the changes were correctly done.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Adding des; I think this looks OK, but there may be a reason it was undocumented.

Hi,
Any updates on this? It should be a pretty quick documentation update.
Thanks!

Any updates on this? Its been sitting here for quite a while now...

markj added inline comments.
lib/libfetch/Makefile
81 ↗(On Diff #52682)

This should be sorted before fetchStat.3.

lib/libfetch/fetch.3
400 ↗(On Diff #52682)

Quotes should be formatted with .Ql. So,

to the intended verb, such as
.Ql POST ,
and
.Fa body
to the content.
0mp added a subscriber: 0mp.

OK from manpages assuming that the comments made by @markj will get addressed.

This revision is now accepted and ready to land.Aug 20 2019, 8:14 AM

Updated per @markj 's comments.

I should add, I also have some changes to fetch.3 in D18908 that may conflict. However, it should be easy to reconcile.

This revision now requires review to proceed.Aug 20 2019, 7:49 PM
markj added inline comments.
lib/libfetch/fetch.3
406 ↗(On Diff #61063)

This last fragment is duplicated.

This revision is now accepted and ready to land.Aug 21 2019, 3:12 PM

Silly mistake, removed the duplicate.

This revision now requires review to proceed.Aug 23 2019, 5:55 AM
This revision was not accepted when it landed; it landed in state Needs Review.Aug 28 2019, 5:01 PM
Closed by commit rS351573: Document fetchReqHTTP(). (authored by markj). · Explain Why
This revision was automatically updated to reflect the committed changes.